org.eclipse.microprofile.rest.client.tck

## Class InvalidInterfaceTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.InvalidInterfaceTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class InvalidInterfaceTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`InvalidInterfaceTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<?>` `createDeployment()`
`void` `testExceptionThrownWhenClientHeaderParamComputeValueSpecifiesMethodWithInvalidSignature()`
`void` `testExceptionThrownWhenClientHeaderParamComputeValueSpecifiesMissingMethod()`
`void` `testExceptionThrownWhenInterfaceHasMethodWithMismatchedPathParameter()`
`void` `testExceptionThrownWhenInterfaceHasMethodWithMissingPathParamAnnotation_templateDeclaredAtMethodLevel()`
`void` `testExceptionThrownWhenInterfaceHasMethodWithMissingPathParamAnnotation_templateDeclaredAtTypeLevel()`
`void` `testExceptionThrownWhenInterfaceHasMethodWithMultipleHTTPMethodAnnotations()`
`void` `testExceptionThrownWhenInterfaceHasMethodWithPathParamAnnotationButNoURITemplate()`
`void` `testExceptionThrownWhenMultipleClientHeaderParamsSpecifySameHeaderOnInterface()`
`void` `testExceptionThrownWhenMultipleClientHeaderParamsSpecifySameHeaderOnMethod()`
`void` `testExceptionThrownWhenMultipleHeaderValuesSpecifiedIncludeComputeMethodOnInterface()`
`void` `testExceptionThrownWhenMultipleHeaderValuesSpecifiedIncludeComputeMethodOnMethod()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidInterfaceTest

    public InvalidInterfaceTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

#### testExceptionThrownWhenInterfaceHasMethodWithMultipleHTTPMethodAnnotations

    public void testExceptionThrownWhenInterfaceHasMethodWithMultipleHTTPMethodAnnotations()
                                                                                    throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenInterfaceHasMethodWithMissingPathParamAnnotation_templateDeclaredAtTypeLevel

    public void testExceptionThrownWhenInterfaceHasMethodWithMissingPathParamAnnotation_templateDeclaredAtTypeLevel()
                                                                                                             throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenInterfaceHasMethodWithMissingPathParamAnnotation_templateDeclaredAtMethodLevel

    public void testExceptionThrownWhenInterfaceHasMethodWithMissingPathParamAnnotation_templateDeclaredAtMethodLevel()
                                                                                                               throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenInterfaceHasMethodWithPathParamAnnotationButNoURITemplate

    public void testExceptionThrownWhenInterfaceHasMethodWithPathParamAnnotationButNoURITemplate()
                                                                                          throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenInterfaceHasMethodWithMismatchedPathParameter

    public void testExceptionThrownWhenInterfaceHasMethodWithMismatchedPathParameter()
                                                                              throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenClientHeaderParamComputeValueSpecifiesMissingMethod

    public void testExceptionThrownWhenClientHeaderParamComputeValueSpecifiesMissingMethod()
                                                                                    throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenClientHeaderParamComputeValueSpecifiesMethodWithInvalidSignature

    public void testExceptionThrownWhenClientHeaderParamComputeValueSpecifiesMethodWithInvalidSignature()
                                                                                                 throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenMultipleClientHeaderParamsSpecifySameHeaderOnMethod

    public void testExceptionThrownWhenMultipleClientHeaderParamsSpecifySameHeaderOnMethod()
                                                                                    throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenMultipleClientHeaderParamsSpecifySameHeaderOnInterface

    public void testExceptionThrownWhenMultipleClientHeaderParamsSpecifySameHeaderOnInterface()
                                                                                       throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenMultipleHeaderValuesSpecifiedIncludeComputeMethodOnInterface

    public void testExceptionThrownWhenMultipleHeaderValuesSpecifiedIncludeComputeMethodOnInterface()
                                                                                             throws Exception

Throws:
  `Exception`

#### testExceptionThrownWhenMultipleHeaderValuesSpecifiedIncludeComputeMethodOnMethod

    public void testExceptionThrownWhenMultipleHeaderValuesSpecifiedIncludeComputeMethodOnMethod()
                                                                                          throws Exception

Throws:
  `Exception`